Subject: Re: Help changing dir with spaces...
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 27 Feb 2002 21:06:34 +0200

On Wed, 27 Feb 2002 18:56:28 +0100, Jonathan Gift <[email-masked]> wrote:
> 
> I'm very familiar with Linux and new to Cywin, but one of my first
> priorities is to mobe around the Bash shell. The only really pressing matter
> is how to move to the folders under WXP: C:\Documents and settings
> 
> I can move to C:\Work or C:\tmp but anything with spaces it balks at. Since
> I can't change XP's default, is there a way to get Bash to accept the space?

Bash on Cygwin works exactly as Bash on GNU/Linux. If you are "very
familiar with Linux", you should know that you have several options.
1. You can escape the space by using backslash, i.e. do
       cd /cygdrive/c/Documents\ and\ settings 
2. You can use wildcard - cd /cygdrive/c/Documents*settings        
       or  cd /cygdrive/c/Documents?and?settings 
3. You can quote the full directory name, i.e. do
       cd "/cygdrive/c/Documents and settings"
4. You can use the Bash name completion mechanism -
       type:  cd /cygdrive/c/Documen  and TAB
  play with it and learn how it work.

Ehud.
P.S. I saw Larry's email, but I couldn't resist myself.

-- 
 Ehud Karni           Tel: +972-3-7966-561  /"\
 Mivtach - Simon      Fax: +972-3-7966-667  \ /  ASCII Ribbon Campaign
 Insurance agencies   (USA) voice mail and   X   Against   HTML   Mail
 http://www.mvs.co.il  FAX:  1-815-5509341  / \
 mailto:[email-masked]          Better  Safe  Than  Sorry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/